Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719172 - dev-libs/openssl-compat does not respect LDFLAGS
Summary: dev-libs/openssl-compat does not respect LDFLAGS
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2020-04-24 06:25 UTC by Agostino Sarubbo
Modified: 2020-04-26 23:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,380.96 KB, text/plain)
2020-04-24 06:25 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-04-24 06:25:38 UTC
This is an auto-filled bug because dev-libs/openssl-compat does not respect LDFLAGS.
The issue was originally discovered on arm64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
To reproduce this issue you may want to set LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0".
Comment 1 Agostino Sarubbo gentoo-dev 2020-04-24 06:25:48 UTC
Created attachment 634310 [details]
build.log

build log and emerge --info